summaryrefslogtreecommitdiffstats
path: root/multimedia/iptvnator
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/iptvnator')
-rw-r--r--multimedia/iptvnator/README32
-rw-r--r--multimedia/iptvnator/doinst.sh13
-rw-r--r--multimedia/iptvnator/iptvnator.SlackBuild95
-rw-r--r--multimedia/iptvnator/iptvnator.info10
-rw-r--r--multimedia/iptvnator/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/multimedia/iptvnator/README b/multimedia/iptvnator/README
new file mode 100644
index 0000000000..de5739ac64
--- /dev/null
+++ b/multimedia/iptvnator/README
@@ -0,0 +1,32 @@
+IPTVnator - IPTV Player Application
+
+IPTVnator is a video player application that provides support for the
+playback of IPTV playlists (m3u, m3u8).
+The application allows to import playlists by using remote URLs or per
+file upload from the file system. Additionally there is a support of EPG
+information XMLTV-based which can be provided by URL.
+
+The application is a cross-platform and open source project based on
+Electron and Angular.
+
+Note: IPTVnator doesn't provide any playlists or other digital
+content.
+
+Features
+- M3u and M3u8 playlists support
+- Xtream Code (XC) and Stalker portal (STB) support
+- External player support - mvp, VLC
+- Add playlists from file system or from remote URL
+- Playlists auto-update feature on app startup
+- Search for channels
+- EPG support (TV Guide) with detailed info
+- TV archive/catchup/timeshift
+- Group-based channels list
+- Save channels as favorites
+- Global favorites aggregated from all playlists
+- HTML video player with hls.js support or Video.js based player
+- Internalization, currently 8 languages are supported (en, ru, de, ko,
+ es, zh, fr, it)
+- Set custom "User Agent" header for a playlist
+- Light and Dark theme
+- Version for self-hosted docker is available
diff --git a/multimedia/iptvnator/doinst.sh b/multimedia/iptvnator/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/multimedia/iptvnator/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/iptvnator/iptvnator.SlackBuild b/multimedia/iptvnator/iptvnator.SlackBuild
new file mode 100644
index 0000000000..02cb821343
--- /dev/null
+++ b/multimedia/iptvnator/iptvnator.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for iptvnator
+
+# Copyright 2023-2024 Marco Lavorini, Campiglia Marittima Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=iptvnator
+VERSION=${VERSION:-0.15.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ SUFFIX="amd64"
+else
+ echo Arch $ARCH not supported!
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+mkdir -p $PRGNAM
+cd $PRGNAM
+ar -x $CWD/$PRGNAM\_$VERSION\_$SUFFIX.deb
+tar xvf data.tar.xz -C $PKG
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -Rf $PKG/usr/share/doc/
+
+mkdir -p $PKG/usr/bin/
+ln -sf ../../opt/IPTVnator/iptvnator $PKG/usr/bin/iptvnator
+chmod 4755 $PKG/opt/IPTVnator/chrome-sandbox
+
+sed -i "s|/opt/IPTVnator/||g" $PKG/usr/share/applications/$PRGNAM.desktop
+sed -i "s|Video|AudioVideo|g" $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/iptvnator/iptvnator.info b/multimedia/iptvnator/iptvnator.info
new file mode 100644
index 0000000000..1755e4f210
--- /dev/null
+++ b/multimedia/iptvnator/iptvnator.info
@@ -0,0 +1,10 @@
+PRGNAM="iptvnator"
+VERSION="0.15.1"
+HOMEPAGE="https://github.com/4gray/iptvnator"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/4gray/iptvnator/releases/download/v0.15.1/iptvnator_0.15.1_amd64.deb"
+MD5SUM_x86_64="35b243ffb88ae2188db4d5d81f4738a3"
+REQUIRES=""
+MAINTAINER="Marco Lavorini"
+EMAIL="sbo.mlavorini@outlook.com"
diff --git a/multimedia/iptvnator/slack-desc b/multimedia/iptvnator/slack-desc
new file mode 100644
index 0000000000..dc1b53780b
--- /dev/null
+++ b/multimedia/iptvnator/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+iptvnator: iptvnator (IPTV Player Application)
+iptvnator:
+iptvnator: IPTVnator is a video player application that provides support for
+iptvnator: the playback of IPTV playlists (m3u, m3u8).
+iptvnator:
+iptvnator:
+iptvnator:
+iptvnator: Homepage: https://github.com/4gray/iptvnator
+iptvnator:
+iptvnator:
+iptvnator: